Skip to content

Revoke assertionMethod key Execute

POST
/v1/did/keys/assertion/{keyId}/revoke
curl --request POST \
--url https://api.parasta.io/v1/did/keys/assertion/example/revoke \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'Idempotency-Key: 2489E9AD-2EE2-8E00-8EC9-32D5F69181C0' \
--data '{ "signing": { "items": [ { "id": "example", "parameter": { "algorithm": "ecdsa-secp256k1-keccak", "keyUri": "example", "domain": {}, "authMethod": "passkey" }, "signature": { "authResponse": {} } } ] } }'
keyId
required
string
Idempotency-Key
required
string format: uuid

IETF draft-ietf-httpapi-idempotency-key-header. Generated freshly by the client for each request.

Media type application/json
object
signing
required
object
items
required
Array<object>
object
id
required
string
parameter
required

Time- and state-independent parameters of a signing slot. One of two modes: on-chain signing (algorithm + keyUri + domain) or 2FA (authMethod).

object
algorithm

E.g.: ecdsa-secp256k1-keccak, eip191-personal-sign, eip712-erc4337-userop-v1, eip712-erc4337-merkleroot-v1.

string
Example
ecdsa-secp256k1-keccak
keyUri
string
domain
object
key
additional properties
any
authMethod
string
Allowed values: passkey fido2 kyc totp
signature
One of:

On-chain signature (hex)

string

OK

Media type application/json
object
keyId
string
status
string
Allowed values: revoked
revokedAt
string format: date-time
Example
{
"status": "revoked"
}

Please contact your representative. 담당자에게 문의해주세요.